Export (0) Print
Expand All

ReplicationDatabase.CompatibilityLevel Property

Gets the minimum version of SQL Server with which the database has compatible behavior.

Namespace: Microsoft.SqlServer.Replication
Assembly: Microsoft.SqlServer.Rmo (in microsoft.sqlserver.rmo.dll)

public DatabaseCompatibilityLevel CompatibilityLevel { get; }
/** @property */
public DatabaseCompatibilityLevel get_CompatibilityLevel ()

public function get CompatibilityLevel () : DatabaseCompatibilityLevel

Property Value

A DatabaseCompatibilityLevel value that specifies the version of SQL Server with which the database has compatible behavior.

The CompatibilityLevel property can be retrieved by a member of the sysadmin fixed server role or by a member of the db_owner fixed database role on the replication database.

The CompatibilityLevel property is equivalent to the sp_dbcmptlevel (Transact-SQL) stored procedure.

The CompatibilityLevel property is available with SQL Server 7.0, SQL Server 2000, and SQL Server 2005.

This namespace, class, or member is supported only in version 2.0 of the .NET Framework.


Any public static (Shared in Microsoft Visual Basic) members of this type are thread safe. Any instance members are not guaranteed to be thread safe.

Development Platforms

For a list of the supported platforms, see Hardware and Software Requirements for Installing SQL Server 2005.

Target Platforms

Community Additions

ADD
Show:
© 2014 Microsoft